Filter.cpp File Reference
`#include <vector>`
`#include "packet.h"`

## Functions

void | FilterBySrcAddr (vector< Packet > &netdata, string address)
void | FilterByDstAddr (vector< Packet > &netdata, string address)
void | FilterBySrcPort (vector< Packet > &netdata, int port)
void | FilterByDstPort (vector< Packet > &netdata, int port)

## Function Documentation

void FilterByDstAddr | ( | vector< Packet > & | netdata,
|  | string | address
| ) |  |

Function that filters the packets in the netflow by the destination address

Parameters

  netdata | packets vector
  address | key address to filter

void FilterByDstPort | ( | vector< Packet > & | netdata,
|  | int | port
| ) |  |

Function that filters the packets in the netflow by the destination port

Parameters

  netdata | packets vector
  port | key port to filter

void FilterBySrcAddr | ( | vector< Packet > & | netdata,
|  | string | address
| ) |  |

Function that filters the packets in the netflow by the source address

Parameters

  netdata | packets vector
  address | key address to filter

void FilterBySrcPort | ( | vector< Packet > & | netdata,
|  | int | port
| ) |  |

Function that filters the packets in the netflow by the source port

Parameters

  netdata | packets vector
  port | key port to filter